#pragma once
#include "afxwin.h"

#include "..//dll/r2k.h"
#pragma comment(lib, "..//dll/r2k.lib")
// CParaSet 对话框

class CParaSet : public CPropertyPage
{
	DECLARE_DYNAMIC(CParaSet)

public:
	CParaSet();
	virtual ~CParaSet();

// 对话框数据
	enum { IDD = IDD_PARASET };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持

	DECLARE_MESSAGE_MAP()
public:
	CComboBox m_bank;
	CComboBox m_begin;
	CComboBox m_length;
	CString m_deviceNo;
	CString m_neighJudge;
	CString m_accesPwd;
	virtual BOOL OnInitDialog();
//	afx_msg void OnCbnEditchangeComboBank();
	int m_dataLength;
	afx_msg void OnCbnSelendcancelComboBank();
	afx_msg void OnCbnSelchangeComboBegin();
	virtual BOOL OnSetActive();
	afx_msg void OnBnClickedBtnSetzone();
	afx_msg void OnBnClickedBtnSetdevno();
	afx_msg void OnBnClickedBtnSetnegjug();
	afx_msg void OnBnClickedBtnSetpwd();
	afx_msg void OnBnClickedBtnGet();
	afx_msg void OnBnClickedBtnSet();
	afx_msg void OnBnClickedBtnSetabmode();
	BOOL m_setAB;
	afx_msg void OnBnClickedBtnClrbuf();
	BOOL m_setOut1;
	BOOL m_setOut2;
	BOOL m_in1;
	BOOL m_in2;
	CString m_heart;
	afx_msg void OnBnClickedBtnSetheart();
};
